it.csi.mddtools.guigen

## Interface AppDataBinding

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AppDataBinding
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'App Data Binding'. Collegamento con un application data o con una parte di esso.

  The following features are supported:

  - `App Data`
  - `Path`
  See Also:
    `GuigenPackage.getAppDataBinding()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationData` | `getAppData()` Returns the value of the 'App Data' reference
    `java.lang.String` | `getPath()` Returns the value of the 'Path' attribute
    `void` | `setAppData(ApplicationData value)` Sets the value of the '`App Data`' reference
    `void` | `setPath(java.lang.String value)` Sets the value of the '`Path`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAppData

          ApplicationData getAppData()

      Returns the value of the 'App Data' reference.

      If the meaning of the 'App Data' reference isn't clear, there really should be more of a description here...

      L'application data collegato
      Returns:
        the value of the 'App Data' reference.
      See Also:
        `setAppData(ApplicationData)`, `GuigenPackage.getAppDataBinding_AppData()`

    - #### setAppData

          void setAppData(ApplicationData value)

      Sets the value of the '`App Data`' reference.
      Parameters:
        `value` - the new value of the 'App Data' reference.
      See Also:
        `getAppData()`

    - #### getPath

          java.lang.String getPath()

      Returns the value of the 'Path' attribute.

      If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...

      Se specificato fain modo che il binding non sia sul valore dell'application data, ma su uno specifico field del record. Ad esempio se un application data "titolare" ha come tipo un ComplexType di nome Persona, con un campo nome, è possibile associare un textfield a tale campo impostando nell'AppDataBinding:
      - l'elemento appData in modo che punti all'application data "titolare"
      - l'elemento path in modo che valga "nome"
      E'ovviamente possibile utilizzare path più complessi (es. "persona.indirizzo.numCivico").
      Returns:
        the value of the 'Path' attribute.
      See Also:
        `setPath(String)`, `GuigenPackage.getAppDataBinding_Path()`

    - #### setPath

          void setPath(java.lang.String value)

      Sets the value of the '`Path`' attribute.
      Parameters:
        `value` - the new value of the 'Path' attribute.
      See Also:
        `getPath()`